services:
  web:
    container_name: controlcenter
    build: .
    ports:
      - 8080:80
      - 8443:443
    extra_hosts:
        - "vatsca.local:host-gateway"
    volumes:
      - ./:/app
  db:
    image: docker.io/library/mariadb:12
    ports:
      - 3306:3306
    environment:
      MARIADB_DATABASE: controlcenter
      MARIADB_ROOT_PASSWORD: root
  redis:
    image: docker.io/library/redis:8.2-alpine
    restart: always
    ports:
      - 6379:6379
    volumes:
      - cache:/data
volumes:
  cache:
    driver: local